Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
PUTBare Metal Management OperationsSince 2.6.0SynchronousAuth Required

RecoverBaremetalInstance

RecoverBaremetalInstance

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the bare metal instance.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBaremetalInstanceInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the bare metal instance.

    • nameStringRequired

      The name of the bare metal instance.

    • descriptionStringRequired

      The detailed description of the bare metal instance.

    • zoneUuidStringRequired

      The zone UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • pxeServerUuidStringRequired

      No description provided.

    • chassisUuidStringRequired

      The UUID of the bare metal chassis.

    • imageUuidStringRequired

      The image UUID.

    • platformStringRequired

      The system platform.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The time when the bare metal instance was created.

    • lastOpDateTimestampRequired

      The time when the bare metal instance was last modified.

    • bmNicsListRequired

      See bmNics

      • uuidStringRequired

        The UUID of the NIC of the bare metal instance.

      • baremetalInstanceUuidStringRequired

        The UUID of the bare metal instance.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • baremetalBondingUuidStringRequired

        The network bonding UUID.

      • macStringRequired

        The MAC address of the bare metal instance.

      • ipStringRequired

        The IP address of the bare metal instance.

      • netmaskStringRequired

        The netmask of the bare metal instance.

      • gatewayStringRequired

        The gateway of the bare metal instance.

      • metadataStringRequired

        附加元数据。

      • pxeBooleanRequired

        Indicates whether the bare metal instance was PXE boot by using its NIC.

      • createDateTimestampRequired

        The time when the bare metal instance was created.

      • lastOpDateTimestampRequired

        The time when the bare metal instance was last modified.

Endpoint

PUT/zstack/v1/baremetal/instances/{uuid}/actions

/zstack/v1/baremetal/instances/{uuid}/actions

Operation ID

RecoverBaremetalInstance

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/baremetal/instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "38471d80059739568ee29b580ee00314", "name": "BM-1", "description": "This is a baremetal instance.", "zoneUuid": "cd3f0df2f33d3d47af58fa92d45e0ed3", "clusterUuid": "fc7f9da7d8a53a939a4163619a2e6264", "chassisUuid": "36d14ed4da51339eae615f7716724d25", "imageUuid": "4eec69d4ae423807bf38164c6d592d86", "platform": "Linux", "state": "Stopped", "status": "Provisioned", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "bmNics": [ { "uuid": "9e01966b83283f9b967be10fe13ce8bf", "baremetalInstanceUuid": "38471d80059739568ee29b580ee00314", "l3NetworkUuid": "294c0bcaa1e43fae9abaadef23d72e24", "mac": "6c:b3:11:1b:0b:1e", "ip": "192.168.0.10", "netmask": "255.255.255.0", "gateway": "192.168.0.1", "pxe": false } ] } }

Change History

This API has no change history records yet.

View all change history